Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1991886 - F35FailsToInstall: ghc-pandoc-citeproc, ghc-pandoc-citeproc-devel, ghc-pandoc-citeproc-prof, ghc-HsYAML-aeson, ghc-HsYAML-aeson-devel, ghc-HsYAML-aeson-prof
Summary: F35FailsToInstall: ghc-pandoc-citeproc, ghc-pandoc-citeproc-devel, ghc-pandoc...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: pandoc-citeproc
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-08-10 10:59 UTC by Miro Hrončok
Modified: 2021-08-18 08:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-18 08:40:39 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2021-08-10 10:59:02 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (pandoc-citeproc) Fails To Install in Fedora 35:

can't install ghc-pandoc-citeproc:
  - nothing provides libHSbase-4.13.0.0-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSghc-prim-0.5.3-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSbytestring-0.10.10.1-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSinteger-gmp-1.0.2.0-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHStext-1.2.4.0-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSaeson-1.4.7.1-27FHg4BkJrm9lkk8tZZzUQ-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHScontainers-0.6.2.1-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSscientific-0.3.6.2-3iE4kipzL1vRpFMF3BBSu-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHStransformers-0.5.6.2-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSunordered-containers-0.2.10.0-C5eTAtH5LKm2scoBCFkX6h-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSvector-0.12.1.2-9VBjzXNvxb1HpDzhLcvAe5-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSHsYAML-0.2.1.0-4KYR6Z0vmBnD3grB3MBltj-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSattoparsec-0.13.2.4-6pdJvsCYDtQ1ZikLcQPH6i-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSdirectory-1.3.6.0-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSfilepath-1.4.2.1-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSparsec-3.1.14.0-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSsplit-0.2.3.4-KyPtAwfJzED2zEIheQpqQL-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSunix-2.7.2.2-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSdoctemplates-0.8.2-CHd7NZ0C5TRIFKK8BpnWSQ-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHShashable-1.3.0.0-AOP4LTmShW4Dax9brHgY53-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHShs-bibutils-6.10.0.0-J3dO0IdWlXID9wQU3c4VYy-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSlibyaml-0.1.1.0-1ufANAf3si96yrLgnGj2dP-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSpandoc-2.9.2.1-IKv0Sfz8M1hEfjqINRYS8N-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSpandoc-types-1.20-E79sz3RYlj7BARXO3o2cHx-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSrfc5051-0.1.0.4-9lFJ0rk1eIn88PnIkeGbsX-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSskylighting-0.8.5-1mhC87nOB0VAcwLGVB1T4O-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSsyb-0.7.1-HZot41yU46FEB2GjLEhNpM-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHStagsoup-0.14.8-Ffo5dVCYImq3qWKHDoKJlc-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSxml-conduit-1.9.0.0-9u5NP13vj502ZtvUal0XDx-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSxml-types-0.3.7-J1mM2ZZq7O1BdQ369G8sTa-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  - nothing provides libHSyaml-0.11.4.0-I7U8HoAEJXBDMmlAfnehOV-ghc8.8.4.so()(64bit) needed by ghc-pandoc-citeproc-0.17.0.1-5.fc35.x86_64
  
can't install ghc-pandoc-citeproc-devel:
  - nothing provides ghc-devel(base-4.13.0.0) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(bytestring-0.10.10.1) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(text-1.2.4.0) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(aeson-1.4.7.1-27FHg4BkJrm9lkk8tZZzUQ) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(containers-0.6.2.1) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(unordered-containers-0.2.10.0-C5eTAtH5LKm2scoBCFkX6h) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(vector-0.12.1.2-9VBjzXNvxb1HpDzhLcvAe5) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(HsYAML-0.2.1.0-4KYR6Z0vmBnD3grB3MBltj) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(network-3.1.1.1-CtLURRWWFvn3QC3vC70cjB) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(split-0.2.3.4-KyPtAwfJzED2zEIheQpqQL) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(data-default-0.7.1.1-Y198lyV6Va91AEO8w1PbJ) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(hs-bibutils-6.10.0.0-J3dO0IdWlXID9wQU3c4VYy) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(old-locale-1.0.0.7-KOGgqu8HfWChZyQBUEp1c) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(pandoc-2.9.2.1-IKv0Sfz8M1hEfjqINRYS8N) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(pandoc-types-1.20-E79sz3RYlj7BARXO3o2cHx) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(rfc5051-0.1.0.4-9lFJ0rk1eIn88PnIkeGbsX) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(setenv-0.1.1.3-AApHapTZwGVKX9z2HargZZ) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(syb-0.7.1-HZot41yU46FEB2GjLEhNpM) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(tagsoup-0.14.8-Ffo5dVCYImq3qWKHDoKJlc) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(xml-conduit-1.9.0.0-9u5NP13vj502ZtvUal0XDx) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-devel(yaml-0.11.4.0-I7U8HoAEJXBDMmlAfnehOV) needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-compiler = 8.8.4 needed by ghc-pandoc-citeproc-devel-0.17.0.1-5.fc35.x86_64
  
can't install ghc-pandoc-citeproc-prof:
  - nothing provides ghc-prof(base-4.13.0.0) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(bytestring-0.10.10.1) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(text-1.2.4.0) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(aeson-1.4.7.1-27FHg4BkJrm9lkk8tZZzUQ) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(containers-0.6.2.1) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(unordered-containers-0.2.10.0-C5eTAtH5LKm2scoBCFkX6h) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(vector-0.12.1.2-9VBjzXNvxb1HpDzhLcvAe5) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(HsYAML-0.2.1.0-4KYR6Z0vmBnD3grB3MBltj) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(network-3.1.1.1-CtLURRWWFvn3QC3vC70cjB) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(split-0.2.3.4-KyPtAwfJzED2zEIheQpqQL) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(data-default-0.7.1.1-Y198lyV6Va91AEO8w1PbJ) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(hs-bibutils-6.10.0.0-J3dO0IdWlXID9wQU3c4VYy) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(old-locale-1.0.0.7-KOGgqu8HfWChZyQBUEp1c) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(pandoc-2.9.2.1-IKv0Sfz8M1hEfjqINRYS8N) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(pandoc-types-1.20-E79sz3RYlj7BARXO3o2cHx) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(rfc5051-0.1.0.4-9lFJ0rk1eIn88PnIkeGbsX) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(setenv-0.1.1.3-AApHapTZwGVKX9z2HargZZ) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(syb-0.7.1-HZot41yU46FEB2GjLEhNpM) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(tagsoup-0.14.8-Ffo5dVCYImq3qWKHDoKJlc) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(xml-conduit-1.9.0.0-9u5NP13vj502ZtvUal0XDx) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  - nothing provides ghc-prof(yaml-0.11.4.0-I7U8HoAEJXBDMmlAfnehOV) needed by ghc-pandoc-citeproc-prof-0.17.0.1-5.fc35.x86_64
  
can't install ghc-HsYAML-aeson:
  - nothing provides libHSbase-4.13.0.0-ghc8.8.4.so()(64bit) needed by ghc-HsYAML-aeson-0.2.0.0-5.fc35.x86_64
  - nothing provides libHSghc-prim-0.5.3-ghc8.8.4.so()(64bit) needed by ghc-HsYAML-aeson-0.2.0.0-5.fc35.x86_64
  - nothing provides libHSbytestring-0.10.10.1-ghc8.8.4.so()(64bit) needed by ghc-HsYAML-aeson-0.2.0.0-5.fc35.x86_64
  - nothing provides libHStext-1.2.4.0-ghc8.8.4.so()(64bit) needed by ghc-HsYAML-aeson-0.2.0.0-5.fc35.x86_64
  - nothing provides libHSaeson-1.4.7.1-27FHg4BkJrm9lkk8tZZzUQ-ghc8.8.4.so()(64bit) needed by ghc-HsYAML-aeson-0.2.0.0-5.fc35.x86_64
  - nothing provides libHScontainers-0.6.2.1-ghc8.8.4.so()(64bit) needed by ghc-HsYAML-aeson-0.2.0.0-5.fc35.x86_64
  - nothing provides libHSscientific-0.3.6.2-3iE4kipzL1vRpFMF3BBSu-ghc8.8.4.so()(64bit) needed by ghc-HsYAML-aeson-0.2.0.0-5.fc35.x86_64
  - nothing provides libHSunordered-containers-0.2.10.0-C5eTAtH5LKm2scoBCFkX6h-ghc8.8.4.so()(64bit) needed by ghc-HsYAML-aeson-0.2.0.0-5.fc35.x86_64
  - nothing provides libHSvector-0.12.1.2-9VBjzXNvxb1HpDzhLcvAe5-ghc8.8.4.so()(64bit) needed by ghc-HsYAML-aeson-0.2.0.0-5.fc35.x86_64
  - nothing provides libHSHsYAML-0.2.1.0-4KYR6Z0vmBnD3grB3MBltj-ghc8.8.4.so()(64bit) needed by ghc-HsYAML-aeson-0.2.0.0-5.fc35.x86_64
  
can't install ghc-HsYAML-aeson-devel:
  - nothing provides ghc-devel(base-4.13.0.0) needed by ghc-HsYAML-aeson-devel-0.2.0.0-5.fc35.x86_64
  - nothing provides ghc-devel(bytestring-0.10.10.1) needed by ghc-HsYAML-aeson-devel-0.2.0.0-5.fc35.x86_64
  - nothing provides ghc-devel(text-1.2.4.0) needed by ghc-HsYAML-aeson-devel-0.2.0.0-5.fc35.x86_64
  - nothing provides ghc-devel(aeson-1.4.7.1-27FHg4BkJrm9lkk8tZZzUQ) needed by ghc-HsYAML-aeson-devel-0.2.0.0-5.fc35.x86_64
  - nothing provides ghc-devel(containers-0.6.2.1) needed by ghc-HsYAML-aeson-devel-0.2.0.0-5.fc35.x86_64
  - nothing provides ghc-devel(unordered-containers-0.2.10.0-C5eTAtH5LKm2scoBCFkX6h) needed by ghc-HsYAML-aeson-devel-0.2.0.0-5.fc35.x86_64
  - nothing provides ghc-devel(vector-0.12.1.2-9VBjzXNvxb1HpDzhLcvAe5) needed by ghc-HsYAML-aeson-devel-0.2.0.0-5.fc35.x86_64
  - nothing provides ghc-devel(HsYAML-0.2.1.0-4KYR6Z0vmBnD3grB3MBltj) needed by ghc-HsYAML-aeson-devel-0.2.0.0-5.fc35.x86_64
  - nothing provides ghc-devel(scientific-0.3.6.2-3iE4kipzL1vRpFMF3BBSu) needed by ghc-HsYAML-aeson-devel-0.2.0.0-5.fc35.x86_64
  - nothing provides ghc-compiler = 8.8.4 needed by ghc-HsYAML-aeson-devel-0.2.0.0-5.fc35.x86_64
  
can't install ghc-HsYAML-aeson-prof:
  - nothing provides ghc-prof(base-4.13.0.0) needed by ghc-HsYAML-aeson-prof-0.2.0.0-5.fc35.x86_64
  - nothing provides ghc-prof(bytestring-0.10.10.1) needed by ghc-HsYAML-aeson-prof-0.2.0.0-5.fc35.x86_64
  - nothing provides ghc-prof(text-1.2.4.0) needed by ghc-HsYAML-aeson-prof-0.2.0.0-5.fc35.x86_64
  - nothing provides ghc-prof(aeson-1.4.7.1-27FHg4BkJrm9lkk8tZZzUQ) needed by ghc-HsYAML-aeson-prof-0.2.0.0-5.fc35.x86_64
  - nothing provides ghc-prof(containers-0.6.2.1) needed by ghc-HsYAML-aeson-prof-0.2.0.0-5.fc35.x86_64
  - nothing provides ghc-prof(unordered-containers-0.2.10.0-C5eTAtH5LKm2scoBCFkX6h) needed by ghc-HsYAML-aeson-prof-0.2.0.0-5.fc35.x86_64
  - nothing provides ghc-prof(vector-0.12.1.2-9VBjzXNvxb1HpDzhLcvAe5) needed by ghc-HsYAML-aeson-prof-0.2.0.0-5.fc35.x86_64
  - nothing provides ghc-prof(HsYAML-0.2.1.0-4KYR6Z0vmBnD3grB3MBltj) needed by ghc-HsYAML-aeson-prof-0.2.0.0-5.fc35.x86_64
  - nothing provides ghc-prof(scientific-0.3.6.2-3iE4kipzL1vRpFMF3BBSu) needed by ghc-HsYAML-aeson-prof-0.2.0.0-5.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Ben Cotton 2021-08-10 13:38:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 2 Miro Hrončok 2021-08-11 09:52:17 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 36.

Thanks for taking care of it!

Comment 3 Miro Hrončok 2021-08-18 08:40:39 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 35.

Thanks for taking care of it!


Note You need to log in before you can comment on or make changes to this bug.